backoffice/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::post('cms-login','Auth\AuthController@login');

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin','middleware' => 'admin'],  function () {
    //, 'middleware' => ['auth', 'role:admin']
    Route::get('/', function(){
        return view('admin.index');
    });

    //splash_screen
    Route::resource('splash_screen', 'General\SplashScreenController')->except(['create','show','edit']);
    Route::get('splash_screen/activate/{splash_id}', 'General\SplashScreenController@activate');

    //banner
    Route::resource('banner', 'General\BannerController')->except(['create','show','edit']);
    Route::get('banner/activate/{banner_id}', 'General\BannerController@activate');

    Route::resource('news', 'Product\NewsController');
    
    Route::resource('event', 'Product\EventController');

    Route::get('member', function(){
        return view('admin.member.index');
    });
    // Route::get('/', 'AdminController@check');
    // Route::post('/regist_company','CompanyController@store');
    // Route::get('/company_profile)','CompanyController@getComp')->name('company_profile');
    // Route::put('updateLogo/{id}','CompanyController@updateLogo');
    // Route::put('update/{id}','CompanyController@update');
    // Route::resource('article', 'ArticleController');
    // Route::get('add_article','ArticleController@formAdd');
    // Route::get('edit_article/{id}','ArticleController@edit');
    // Route::resource('category', 'CategoryController');
    // Route::resource('property', 'PropertyController');
    // Route::resource('property_detail','DetailController');
    });

//superadmin
Route::group(['prefix' => 'master','middleware' => 'admin'],  function () {
    //, 'middleware' => ['auth', 'role:admin']
    Route::get('/', 'Admin\DashboardController@master');
});

backoffice/app/Http/Controllers/Product/EventController.php
<?php

namespace App\Http\Controllers\Product;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use GuzzleHttp\Exception\GuzzleException;
use GuzzleHttp\Client;
use Session;
use Redirect;
use Auth;
use Carbon\Carbon;
use Guzzle\Http\Message\Response;

class EventController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $client = new Client();

        $url = config('constants.url.gateway').'event';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $event = $client->request('GET',$url,[
                        'headers' => $header,
                    ]);
		$event = json_decode($event->getBody()->getContents(),true);
        //dd($splash);
        $data = $event['Data'];
        //dd($data);
        // $sp=[];
        // $splash=[];
        // $i = 0;
        // foreach($data as $dt){
        //     $sp[] = $dt['splash_image'];
        // }
        // foreach($sp as $var){
        //     $splash[] = $var;
        // }
        // //dd($splash);
        // //dd(count($sp));
        // $count = count($splash);
        // //dd($data[0]['event_code'],$data[1]['event_code']);
        // //dd($sp);
        
        return view('admin.product.event.index',compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $client = new Client();

        $url = config('constants.url.gateway').'/addsplashscreen';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $file=$request->file('splash_image');
        //$dt = Carbon::now();
        $fileName = str_random(8).'-'.$file->getClientOriginalName();
        $path = public_path('image/SplashScreen/');
        $file->move($path, $fileName);
        //dd($fileName);  


        $responseData = $client->request('POST',$url,[
                        'headers' => $header,
                        'multipart' =>  [
                            [	'name' => 'event_code',
                                'contents' => $request->event_code,				
                            ],
                            [	'name' => 'splash_title',
                                'contents' => $request->splash_title
                            ],
                            [	'name' => 'splash_desc',
                                'contents' => $request->splash_desc
                            ],
                            [
                                'name' => 'splash_image',
                                'contents' => fopen($path. $fileName , 'r')
                            ],
                            [	'name' => 'splash_bg_color',
                                'contents' => $request->splash_bg_color
                            ]
                        ]
                        ]);
        $responseData = json_decode($responseData->getBody()->getContents(),true);
        if(file_exists($path.$fileName)) unlink($path.$fileName);
        //dd($responseData);
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $client = new Client();
        $url = config('constants.url.gateway').'/editsplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        if($request->splash_image != null){
           
            //return 'not null';
            $file=$request->file('splash_image');
            //$dt = Carbon::now();
            $fileName = str_random(8).'-'.$file->getClientOriginalName();
            $path = public_path('image/SplashScreen/');
            $file->move($path, $fileName);
            //dd($fileName);  

            $responseData = $client->request('POST',$url.'/'.$id,[
                            'headers' => $header,
                            'multipart' =>  [
                                [	'name' => 'splash_title',
                                    'contents' => $request->splash_title
                                ],
                                [	'name' => 'splash_desc',
                                    'contents' => $request->splash_desc
                                ],
                                [
                                    'name' => 'splash_image',
                                    'contents' => fopen($path. $fileName , 'r')
                                ],
                                [	'name' => 'splash_bg_color',
                                    'contents' => $request->splash_bg_color
                                ]
                            ]
                            ]);
            $responseData = json_decode($responseData->getBody()->getContents(),true);
            if(file_exists($path.$fileName)) unlink($path.$fileName);
            return back();
        }else{
            //return 'ok';
            $responseData = $client->request('POST',$url.'/'.$id,[
                'headers' => $header,
                'multipart' =>  [
                    [	'name' => 'splash_title',
                        'contents' => $request->splash_title
                    ],
                    [	'name' => 'splash_desc',
                        'contents' => $request->splash_desc
                    ],
                    [
                        'name' => 'splash_image',
                        'contents' => null
                    ],
                    [	'name' => 'splash_bg_color',
                        'contents' => $request->splash_bg_color
                    ]
                ]
                ]);
            $responseData = json_decode($responseData->getBody()->getContents(),true);
            //return 'ok';
            return back();
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $client = new Client();

        $url = config('constants.url.gateway').'/deletesplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $responseData = $client->request('DELETE',$url.'/'.$id,[
                        'headers' => $header,
                        ]);
        return back();
    }

    public function activate($id){
        $client = new Client();
        $url = config('constants.url.gateway').'/activationsplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];
		
		$splash = $client->request('GET',$url.'/'.$id,[
            'headers' => $header,
        ]);
		return back();
	
    }
}

backoffice/app/Http/Controllers/Product/NewsController.php
<?php

namespace App\Http\Controllers\Product;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use GuzzleHttp\Exception\GuzzleException;
use GuzzleHttp\Client;
use Session;
use Redirect;
use Auth;
use Carbon\Carbon;
use Guzzle\Http\Message\Response;
use Firebase\JWT\JWT;
use Firebase\JWT\ExpiredException;


class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $client = new Client();

        //dd($client);
        $url = config('constants.url.gateway').'news';
        $token = Session::get('app_token');
        //dd($token);
       
        $header = ['token' => $token];
        //dd($header);
        $news = $client->request('GET',$url,[
                        'headers' => $header,
                    ]);
		$news = json_decode($news->getBody()->getContents(),true);
        //dd($news);
        $data = $news['Data'];
        //dd($data);
        $news=[];
        $news_image=[];
        $i = 0;
        foreach($data as $dt){
            $news[] = $dt['news_image'];
        }
        foreach($news as $var){
            $news_image[] = $var;
        }
        $count = count($news_image);
        //dd($data[0]['event_code'],$data[1]['event_code']);
        //dd($sp);
        
        return view('admin.product.news.index',compact('data','news_image','count'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.product.news.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $client = new Client();

        $url = config('constants.url.gateway').'/addnews';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $decodeToken = JWT::decode($token,env('JWT_SECRET'), array('HS256'));
        //return response()->json($decodeToken->event_code);

        $event_code = $decodeToken->event_code;

        $file=$request->file('news_image');
        //$dt = Carbon::now();
        $fileName = str_random(8).'-'.$file->getClientOriginalName();
        $path = public_path('image/News/');
        $file->move($path, $fileName);
        //dd($fileName);  


        $responseData = $client->request('POST',$url.'/'.$event_code,[
                        'headers' => $header,
                        'multipart' =>  [
                            [	'name' => 'event_code',
                                'contents' => $request->event_code,				
                            ],
                            [	'name' => 'splash_title',
                                'contents' => $request->splash_title
                            ],
                            [	'name' => 'splash_desc',
                                'contents' => $request->splash_desc
                            ],
                            [
                                'name' => 'splash_image',
                                'contents' => fopen($path. $fileName , 'r')
                            ],
                            [	'name' => 'splash_bg_color',
                                'contents' => $request->splash_bg_color
                            ]
                        ]
                        ]);
        $responseData = json_decode($responseData->getBody()->getContents(),true);
        if(file_exists($path.$fileName)) unlink($path.$fileName);
        //dd($responseData);
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

backoffice/resources/views/admin/product/news/add.blade.php
@extends('layouts.template')

@section('cms')
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    BREADCRUMB
    <div class="card">
        <div class="card-header card-header-info">
            <h4 class="card-title">Add News / Article</h4>
            <p class="card-category">Complete the form below to submit news</p>
        </div>
        <div class="card-body">
            <form method="POST" action="{{route('news.store')}}" enctype="multipart/form-data">
                @csrf
                <div class="form-group row">
                    <div class="col-md-4 col-sm-4 col-xs-4" style="text-align:right;padding:10px;margin-top:5px">
                        <label>News / Article Title</label>
                    </div>
                    <div class="col-md-8 col-sm-8 col-xs-8">
                        <input type="text" class="form-control" name="news_title">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-4 col-sm-4 col-xs-4" style="text-align:right;padding:10px;margin-top:5px">
                        <label>News / Article Creator </label>
                    </div>
                    <div class="col-md-8 col-sm-8 col-xs-8">
                        <input type="text" class="form-control" name="news_creator">
                    </div>
                </div>

                <div class="row">

                    <div class="col-md-4 col-sm-4 col-xs-4" style="text-align:right;padding:10px;margin-top:5px">
                        <label>News Image/Thumbnail File</label>
                    </div>
                    <div class="col-md-8 col-sm-8 col-xs-8" style="margin-top:10px">
                        <input type="file" id="inputBanner" name="news_image">
                    </div>
                </div>

                <div class="banner">
                    <img id="banner" width="100%" height="100%">
                </div>

                <label style="margin-top:30px;font-size:24px">Content : </label>
                <textarea style="width:100%" rows="20" name="news_desc" id="content"></textarea>
                <div style="text-align:right;">
                    <a class="navbar-brand" href="{{url()->previous()}}">
                        <button type="button" class="btn btn-danger">Cancel </button></a>
                    <button class="btn btn-primary" type="submit">Save </button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('script')
<script>
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#banner').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    $("#inputBanner").change(function () {
        readURL(this);
    });

    //$('#content').wysiwyg();

    

</script>
@endsection

backoffice/resources/views/admin/product/news/index.blade.php
@extends('layouts.template')

@section('cms')
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content " style="padding:30px;">
    <a href="{{route('news.create')}}"><button type="button" class="btn"
                style="background-color:#00BCD4;border-radius:7px!important;color:white;margin-bottom:20px">
                <i class="fa fa-plus" style="margin-right:15px;"></i>Tambah
                Artikel</button></a>
        <div class="table-responsive">
            <table id="example" class="table table-article table-striped table-bordered" style="width:100%">
                <thead>
                    <tr style="text-align:center">
                        <th>No</th>
                        <th>Judul</th>
                        <th>Penulis</th>
                        <th>Tanggal Penulisan</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($data as $key => $item)
                    <tr>
                        <td style="text-align:center">{{++$key}}</td>
                        <td style="width:25%">{{$item['news_title']}}</td>
                        <td style="text-align:center;width:20%">{{$item['news_creator']}}</td>
                        <td style="text-align:right;width:15%">{{date('d F Y', strtotime($item['created_at']))}}</td>
                        <td style="text-align:center;">
                                <button class="btn dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                        Actions
    
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" data-toggle="modal"
                                            data-target=""><i class="fa fa-info"
                                                style="margin-left:10px;margin-right:30px"></i>Edit</a>
    
                                        <div class="dropdown-item">
                                            <form action="" method="POST">
                                                {{csrf_field()}} {{method_field('DELETE')}}
                                                <button type="button" style="width:100%;height:100%;background-color: Transparent;
                                                background-repeat:no-repeat;
                                                border: none;
                                                cursor:pointer;
                                                overflow: hidden;
                                                outline:none;"
                                                    onclick="if(confirm('Apakah anda yakin ingin menghapus data ini ?')){return this.form.submit()}else{return false}"><i
                                                        class="fa fa-trash" style="margin-right:20px;"></i>Delete</button>
    
                                            </form>
                                        </div>
                                    </div>
                            {{-- <div style="text-align:center;margin-left:10px"><a href="">
                                    <button class="btn btn-info" style="border-radius:5px!important;float:left"><i
                                            class="fa fa-info" style="margin-right:20px;"></i>Edit</button>
                                </a>
                                <form action="" method="POST">
                                    {{csrf_field()}} {{method_field('DELETE')}}<button type="button"
                                        class="btn btn-danger" style="border-radius:5px!important"
                                        onclick="if(confirm('Apakah anda yakin ingin menghapus data ini ?')){return this.form.submit()}else{return false}"><i
                                            class="fa fa-trash" style="margin-right:20px;"></i>Delete</button></form>
                            </div> --}}

                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <!-- END CONTENT BODY -->
</div>
@endsection

@section('script')
<script>
    $(document).ready(function () {
        $('#example').DataTable({
            responsive: true,
            "paging": true,
            "ordering": true,
            "searching": true,
            "info": false,
            "bPaginate": false,
            "bLengthChange": false,
            "bFilter": true,
            "bInfo": true,
            "bAutoWidth": false,
        });
    });

</script>
@endsection